[package]
name = "uefi-services"
version = "0.11.0"
authors = ["Gabriel Majeri <gabriel.majeri6@gmail.com>"]
edition = "2018"
description = "Higher-level utilities for uefi-rs"
repository = "https://github.com/rust-osdev/uefi-rs"
keywords = ["uefi", "efi"]
categories = ["embedded", "no-std", "api-bindings"]
license = "MPL-2.0"

[badges]
travis-ci = { repository = "rust-osdev/uefi-rs" }
is-it-maintained-issue-resolution = { repository = "rust-osdev/uefi-rs" }
is-it-maintained-open-issues = { repository = "rust-osdev/uefi-rs" }

[dependencies]
uefi = { version = "0.14.0", features = ["alloc", "logger"] }
log = { version = "0.4.14", default-features = false }
cfg-if = "1.0.0"
qemu-exit = { version = "3.0.0", optional = true }

[features]
# Enable QEMU-specific functionality
qemu = ["qemu-exit"]
no_panic_handler = []
